.TH "png2layout" 1
.SH NAME
png2layout \- converts a bitmap image, stored in a PNG file, to a EDA layout, stored in a CIF file.
.SH SYNOPSIS
.B png2layout \-h

.B png2layout \-v

.B png2layout [ \-elnst ] file ...
.SH DESCRIPTION
This command-line utility can be used to convert a bitmap image into a layout file.  

The bitmap image must be stored in a PNG file.  The PNG file can contain any of  a black and white, greyscale, or colour image.  Colour images will be converted to greyscale image data automatically.  Any greyscale images, including converted colour images, will then be converted to black and white based on the threshold value.

The output file is a CalTech Interchange Format (CIF) layout file.  This should be suitable to import into most EDA tools.
.SH OPTIONS
.B png2layout
.TP
.B \-h
Request help.
.TP
.B \-v
Request version information
.TP
.B \-e [integer]
Set the number of erode/dilate cycles
.TP 
.B \-l [name]
Set the layer name for CIF file
.TP
.B \-n [name]
Set the cell name for the CIF file
.TP
.B \-o [name]
Set the output filename
.TP
.B \-s [integer]
Set the pixel size in CIF DB units
.TP
.B \-t [integer]
Set the threshold for greyscale conversion
.TP
.B \-v [bool]
Set the verbosity flag
.SH AUTHOR
Copyright (c) 2008,2009 Robert W. Johnstone

